Skip to main content
get/v2/teamspaces/{teamspaceId}/libraries/{owner}/{repo}/claim
Request example
Response
get/v2/teamspaces/{teamspaceId}/libraries/{owner}/{repo}/claim

Authorization

Authorizationstringheaderrequired#
Get your API key at context7.com/dashboard. Treat your API key like a password and store it securely.

Path parameters

teamspaceIdstringrequired#
Teamspace id (uuid).
ownerstringrequired#
First segment of the library id /owner/repo (for example vercel in /vercel/next.js, websites in /websites/docs_example_com). Case-insensitive.
repostringrequired#
Second segment of the library id /owner/repo. Case-insensitive.

Responses

application/json
Claim instructions
libraryNamestringrequired#
claimedbooleanrequired#
Some teamspace has claimed the library.
ownedByTeamspacebooleanrequired#
This teamspace has claimed it.
methodenum<string>required#
repository: commit the file to the root of the repository's default branch. hostedFile: host it anywhere under hostUnder (websites, llms.txt, OpenAPI).
Options:repositoryhostedFile
repositoryUrlstring#
The repository to commit to (repository).
hostUnderstring#
The file's URL must start with this URL (hostedFile).
publicKeystringrequired#
The teamspace's public key.
fileNameenum<string>required#
Options:context7.json
fileContentstringrequired#
The file to publish, as text.